Bug 811771 - Add note on repo GPG check change for RHSM
Summary: Add note on repo GPG check change for RHSM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Technical_Notes
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 6.3
Assignee: Martin Prpič
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-11 23:06 UTC by Deon Ballard
Modified: 2012-06-25 10:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Subscription Manager now disables gpgcheck for any repositories it manages which have an empty gpgkey. To re-enable the repository, upload the GPG keys, and ensure that the correct URL is added to your custom content definition.
Clone Of:
Environment:
Last Closed: 2012-06-25 10:07:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Deon Ballard 2012-04-11 23:06:49 UTC
Subscription Manager now sets gpgcheck = 0 if it sees that the gpgkey URL is not set. (Previously this would have been set to 1, meaning the repo would not function at all in this scenario, unless they were manually importing gpg keys on all their clients.) 

If someone uses custom content, not specifying a gpgkey URL when they set up their content, but manually importing the keys themselves on all clients, then gpgcheck is flipped to 0 after upgrading to the latest subscription manager, and they probably wouldn't even know. 

This needs release noted in the entitlements section, something like:

""" 
Subscription Manager will now disable gpgcheck for any repositories it manages which have an empty gpgkey. To re-enable, you can upload your GPG keys, and ensure that the correct URL is added to your custom content definition. 
"""

Comment 1 Deon Ballard 2012-04-11 23:08:04 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Subscription Manager now disables gpgcheck for any repositories it manages which have an empty gpgkey. To re-enable the repository, upload the GPG keys, and ensure that the correct URL is added to your custom content definition.

Comment 3 Martin Prpič 2012-04-13 14:51:12 UTC
Included in both 6.3 Release and Technical Notes.

Comment 4 Martin Prpič 2012-06-25 10:07:14 UTC
Fix available on docs.redhat.com. Closing!


Note You need to log in before you can comment on or make changes to this bug.